import 'package:diplomaticquarterapp/widgets/buttons/button.dart';
import 'package:diplomaticquarterapp/widgets/others/app_scaffold_widget.dart';
import 'package:flutter/material.dart';

class HealthDataList extends StatefulWidget {
  @override
  _HealthDataListState createState() => _HealthDataListState();
}

class _HealthDataListState extends State<HealthDataList> {
  @override
  Widget build(BuildContext context) {
    return AppScaffold(
        appBarTitle: "Smartwatches",
        isShowAppBar: true,
        body: Container(
          height: MediaQuery.of(context).size.height,
          margin: EdgeInsets.all(20.0),
          child: SingleChildScrollView(
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Row(
                  children: [
                    Container(
                      child: Image.asset(
                          "assets/images/SmartWatches/heartrate_icon.png",
                          width: 60.0,
                          height: 60.0),
                    ),
                    Container(
                      margin: EdgeInsets.fromLTRB(20.0, 0.0, 20.0, 0.0),
                      child: Text("Heart Rate",
                          style: TextStyle(
                              fontSize: 20.0, fontWeight: FontWeight.bold)),
                    ),
                  ],
                ),
                Divider(
                  color: Colors.grey[500],
                ),
                Row(
                  children: [
                    Container(
                      child: Image.asset(
                          "assets/images/SmartWatches/sleep_data.png",
                          width: 60.0,
                          height: 60.0),
                    ),
                    Container(
                      margin: EdgeInsets.fromLTRB(20.0, 0.0, 20.0, 0.0),
                      child: Text("Sleep Data",
                          style: TextStyle(
                              fontSize: 20.0, fontWeight: FontWeight.bold)),
                    ),
                  ],
                ),
                Divider(
                  color: Colors.grey[500],
                ),
                Row(
                  children: [
                    Container(
                      child: Image.asset(
                          "assets/images/SmartWatches/heartrate_icon.png",
                          width: 60.0,
                          height: 60.0),
                    ),
                    Container(
                      margin: EdgeInsets.fromLTRB(20.0, 0.0, 20.0, 0.0),
                      child: Text("Steps",
                          style: TextStyle(
                              fontSize: 20.0, fontWeight: FontWeight.bold)),
                    ),
                  ],
                ),
                Divider(
                  color: Colors.grey[500],
                ),
                Row(
                  children: [
                    Container(
                      child: Image.asset(
                          "assets/images/SmartWatches/heartrate_icon.png",
                          width: 60.0,
                          height: 60.0),
                    ),
                    Container(
                      margin: EdgeInsets.fromLTRB(20.0, 0.0, 20.0, 0.0),
                      child: Text("Distance",
                          style: TextStyle(
                              fontSize: 20.0, fontWeight: FontWeight.bold)),
                    ),
                  ],
                ),
                Divider(
                  color: Colors.grey[500],
                ),
                Row(
                  children: [
                    Container(
                      child: Image.asset(
                          "assets/images/SmartWatches/heartrate_icon.png",
                          width: 60.0,
                          height: 60.0),
                    ),
                    Container(
                      margin: EdgeInsets.fromLTRB(20.0, 0.0, 20.0, 0.0),
                      child: Text("Energy",
                          style: TextStyle(
                              fontSize: 20.0, fontWeight: FontWeight.bold)),
                    ),
                  ],
                ),
                Divider(
                  color: Colors.grey[500],
                ),
              ],
            ),
          ),
        ),
        bottomSheet: Container(
          width: double.infinity,
          height: MediaQuery.of(context).size.height * 0.1,
          color: Colors.grey[100],
          child: Column(
            children: <Widget>[
              Divider(
                color: Colors.transparent,
              ),
              Container(
                width: MediaQuery.of(context).size.width * 0.8,
                child: Button(
                  onTap: () {
//                    launch(model.radImageURL);
                  },
                  label: 'Sync Health Data',
                  backgroundColor: Colors.grey[800],
                ),
              ),
            ],
          ),
        ));
  }
}
